> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 取得交易歷史

> 擷取個別交易。限制範圍：1-100（預設 50）。



## OpenAPI

````yaml /zh-Hant/api-reference/openapi/launch-history-v1.yaml get /trade
openapi: 3.0.3
info:
  title: Raydium Launch History API
  description: 提供 LaunchLab 資金池的歷史交易資料。包括 1 分鐘、5 分鐘和 15 分鐘間隔的 kline（K線）資料，以及個別交易歷史。
  version: 1.0.0
servers:
  - url: https://launch-history-v1.raydium.io
    description: Mainnet
  - url: https://launch-history-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Candle Data
    description: OHLC K線資料
  - name: Trades
    description: 個別交易歷史
  - name: Utilities
    description: 健康檢查
paths:
  /trade:
    get:
      tags:
        - Trades
      summary: 取得交易歷史
      description: 擷取個別交易。限制範圍：1-100（預設 50）。
      operationId: getTrade
      parameters:
        - name: poolId
          in: query
          required: true
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
            minimum: 1
            maximum: 100
        - name: nextPageKey
          in: query
          schema:
            type: string
        - name: owner
          in: query
          schema:
            type: string
          description: 依交易者錢包篩選
        - name: minAmount
          in: query
          schema:
            type: number
        - name: maxAmount
          in: query
          schema:
            type: number
      responses:
        '200':
          description: 包含分頁的交易歷史

````